Skip to main content
GET
Retrieve all Knowledge Bases

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

A pagination cursor. Pass the value from the previous response’s paging.next.after to retrieve the next page.

createdAfter
string<date-time>

Filter to knowledge bases created after a specific date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).

createdAt
string<date-time>

Filter knowledge bases to those with this exact creation date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).

createdBefore
string<date-time>

Filter to knowledge bases created before the specified date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).

limit
integer<int32>

The maximum number of results to display per page. Default is 25, maximum is 100.

sort
string[]

Specify how to sort results. Accepts name, createdAt, or updatedAt; prefix a field with - for descending order (e.g., -createdAt). Defaults to createdAt descending (newest first).

updatedAfter
string<date-time>

Filter to knowledge bases updated after the specified date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).

updatedAt
string<date-time>

Filter knowledge bases to those with this exact update date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).

updatedBefore
string<date-time>

Filter to knowledge bases updated before the specified date and time. Accepts an ISO-8601 timestamp (e.g., 2026-09-20T00:00:00Z) or a plain date (e.g., 2026-09-20).

Response

successful operation

results
object[]
required
paging
object
Last modified on September 23, 2026